"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetResources_1 = require("../model/operations/GetResources");
var GetResourcesCommand = /** @class */ (function () {
    function GetResourcesCommand(input) {
        this.input = input;
        this.model = GetResources_1.GetResources;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetResourcesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetResourcesCommand;
}());
exports.GetResourcesCommand = GetResourcesCommand;
//# sourceMappingURL=GetResourcesCommand.js.map