"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetTagValues_1 = require("../model/operations/GetTagValues");
var GetTagValuesCommand = /** @class */ (function () {
    function GetTagValuesCommand(input) {
        this.input = input;
        this.model = GetTagValues_1.GetTagValues;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetTagValuesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetTagValuesCommand;
}());
exports.GetTagValuesCommand = GetTagValuesCommand;
//# sourceMappingURL=GetTagValuesCommand.js.map