/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { TagResourcesInput } from "../types/TagResourcesInput";
import { TagResourcesOutput } from "../types/TagResourcesOutput";
import { ResourceGroupsTaggingAPIResolvedConfiguration } from "../ResourceGroupsTaggingAPIConfiguration";
export * from "../types/TagResourcesInput";
export * from "../types/TagResourcesOutput";
export * from "../types/TagResourcesExceptionsUnion";
export declare class TagResourcesCommand implements __aws_sdk_types.Command<InputTypesUnion, TagResourcesInput, OutputTypesUnion, TagResourcesOutput, ResourceGroupsTaggingAPIResolvedConfiguration, _stream.Readable> {
    readonly input: TagResourcesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<TagResourcesInput, TagResourcesOutput, _stream.Readable>;
    constructor(input: TagResourcesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ResourceGroupsTaggingAPIResolvedConfiguration): __aws_sdk_types.Handler<TagResourcesInput, TagResourcesOutput>;
}
