"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UntagResources_1 = require("../model/operations/UntagResources");
var UntagResourcesCommand = /** @class */ (function () {
    function UntagResourcesCommand(input) {
        this.input = input;
        this.model = UntagResources_1.UntagResources;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UntagResourcesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UntagResourcesCommand;
}());
exports.UntagResourcesCommand = UntagResourcesCommand;
//# sourceMappingURL=UntagResourcesCommand.js.map