"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetResourcesInput_1 = require("../shapes/GetResourcesInput");
var GetResourcesOutput_1 = require("../shapes/GetResourcesOutput");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var ThrottledException_1 = require("../shapes/ThrottledException");
var InternalServiceException_1 = require("../shapes/InternalServiceException");
var PaginationTokenExpiredException_1 = require("../shapes/PaginationTokenExpiredException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetResources = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetResources",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetResourcesInput_1.GetResourcesInput
    },
    output: {
        shape: GetResourcesOutput_1.GetResourcesOutput
    },
    errors: [
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ThrottledException_1.ThrottledException
        },
        {
            shape: InternalServiceException_1.InternalServiceException
        },
        {
            shape: PaginationTokenExpiredException_1.PaginationTokenExpiredException
        }
    ]
};
//# sourceMappingURL=GetResources.js.map